Skip to navigation

Create Redirect

Creates a Redirect URL.

Required Fields

  • path
  • forward

Read Only

  • url

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To upsert new redirect data, use Redirects V3ʼs Upsert redirects endpoint.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
pathstringRequired
The path from which to redirect.
forwardobjectRequired
idintegerOptional
Numeric ID of the redirect.

Response

OK
pathstring
The path from which to redirect.
forwardobject
idintegerOptional
Numeric ID of the redirect.
urlstringOptionalRead-only

URL of the redirect. READ-ONLY.